# Simple Addon to block all Y chat
#
# -- Save to addons/eventscripts/blockchat/blockchat.py
# -- Use es_load blockchat to block all Y chat
# -- Use es_unload blockchat to unblock 

# es is the python interface to eventscripts
import es
 
def load():
    # register a say filter
    # these filter ALL server chat BEFORE it appears on the players screens
    es.addons.registerSayFilter(myfilter)
 
def unload():
    # when we unload we also unregister the block to avoid errors
    es.addons.unregisterSayFilter(myfilter)
 
def myfilter(userid, text, teamonly):
    # check whether this is a teamonly chat or not
    if teamonly:
        # yup it is team only
        # so we can let the msg  display
        return (userid, text, teamonly)
    else:
        # Y chat - so kill it off
        return (0, None, None)
        
 